=== debian/changelog ===
freeradius-wpe (3.2.3+dfsg-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:14:50 +0200

freeradius-wpe (3.2.3+dfsg-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Update d/watch to use https and not ftp

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Jul 2023 18:36:06 +0200

freeradius-wpe (3.2.3+dfsg-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.3+dfsg
  * Sync with Debian
  * Refresh patches
  * Use debhelper-compat 13
  * Remove useless dep on obsolete package lsb-base
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Jul 2023 18:01:27 +0200

freeradius-wpe (3.2.0+dfsg-0kali2) kali-dev; urgency=medium

  * Fix installation
  * Adapt autopkgtest for freeradius-wpe
  * Add user freerad-wpe

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 Jun 2022 18:29:17 +0200

freeradius-wpe (3.2.0+dfsg-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Switch debian/control ordering
  * Add XSBC-Original-Maintainer
  * Update email address
  * Remove template comment and switch spaces to tabs

  [ Arnaud Rebillout ]
  * Revert whitespace and indent changes
  * Add XSBC-Original-Maintainer and XS-Debian-Vcs-*

  [ Sophie Brun ]
  * Import Upstream version 3.2.0+dfsg
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Jun 2022 17:23:13 +0200

freeradius-wpe (3.0.23+dfsg-0kali1) kali-dev; urgency=medium

  * Update email
  * Bump Standards-Version to 4.5.1
  * Use version=4 in debian/watch
  * Fix lintian errors
  * Fix debian/watch syntax
  * New upstream version 3.0.23+dfsg
  * Refresh patches
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Aug 2021 16:56:54 +0200

freeradius (3.0.21+dfsg-3) unstable; urgency=medium

  * Acknowledge NMUs, thanks
  * Cherry-Pick upstream fix for a crash bug (Closes: #992036)
  * Cherry-Pick upstream fix to add missing continuation in postgresql
    sample config (Closes: #992207)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 23 Aug 2021 15:49:43 +0200

freeradius (3.0.21+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't fail postinst if daemon is not running (Closes: #991561, #932113)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jul 2021 12:28:32 +0200

freeradius (3.0.21+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix capabilities in service file.
    As freeradius is not run as root we need to request extra capabilities
    wiht AmbientCapabilities instead of limiting the set with
    CapabilityBoundingSet. (Closes: #985967)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Jul 2021 13:19:03 +0200

freeradius (3.0.21+dfsg-2) unstable; urgency=medium

  * Cherry-Pick upstream fixes to build with Python3.8 (Closes: #966860)
  * Drop migration code for versions earlier than oldstable (Squeeze)
  * Temporarily collectd integration (again) due to RC bugs
  * Bump to debhelper compat 10

 -- Bernhard Schmidt <berni@debian.org>  Mon, 24 Aug 2020 10:46:49 +0200

freeradius-wpe (3.0.21+dfsg-0kali1) kali-dev; urgency=medium

  * Import Upstream version 3.0.21+dfsg
  * Switch to Python 3 (sync with Debian package freeradius)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Apr 2020 17:31:32 +0200

freeradius-wpe (3.0.20+dfsg-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.20+dfsg
  * Update the freeradius-wpe.patch (see 5808)
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Nov 2019 12:04:54 +0100

freeradius-wpe (3.0.19+dfsg-0kali4) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Add missing depends required by postinst
  * Remove collectd from build-deps (removed from kali-rolling and
    unmaintained)
  * Bump Standards-Version to 4.4.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Oct 2019 09:43:55 +0200

freeradius-wpe (3.0.19+dfsg-0kali3) kali-dev; urgency=medium

  * Update Uploader and Maintainer fields
  * Update Vcs-Git and Vcs-Browser

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Apr 2019 09:37:01 +0200

freeradius-wpe (3.0.19+dfsg-0kali2) kali-dev; urgency=medium

  * Add missing -latomic for armel build

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Apr 2019 14:57:09 +0200

freeradius-wpe (3.0.19+dfsg-0kali1) kali-dev; urgency=medium

  * Import new upstream release 3.0.19 of freeradius
  * Import new patch freeradius-wpe (closes 5392)
  * Update debian/copyright
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 Apr 2019 11:40:10 +0200

freeradius-wpe (3.0.17+dfsg-0kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Import new upstream release 3.0.17 of freeradius
  * Update debian/control (add missing build-depends) and
    debian/freeradius-wpe.install for new version
  * Update patch wpe from https://github.com/aircrack-ng (closes: 4713)
  * Remove dh_missing --fail-missing in debian/rules
  * Remove /var/log/freeradius-wpe when purging the package
  * /etc/freeradius-wpe/3.0/sites-enabled/default and
    /etc/freeradius-wpe/3.0/sites-enabled/inner-tunnel were installed by the
    package (and not by postinst): now really installed with postinst

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 May 2018 13:46:45 +0200

freeradius (3.0.16+dfsg-3) unstable; urgency=medium

  * Change default /etc/freeradius permission from 2751 to 2750 (Closes: #890933)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 20 Mar 2018 07:52:46 +0100

freeradius (3.0.16+dfsg-2) unstable; urgency=medium

  * Remove sites-enabled/* from freeradius-config (Closes: #889593)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 25 Feb 2018 16:25:54 +0100

freeradius (3.0.16+dfsg-1) unstable; urgency=medium


