=== debian/control ===
Source: freeradius-wpe
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libgdbm-dev,
 libjson-c-dev,
 libpam0g-dev,
 libpcap-dev,
 libperl-dev,
 default-libmysqlclient-dev | libmysqlclient-dev,
 freetds-dev,
 libpq-dev,
 libreadline-dev,
 libsqlite3-dev,
 libssl-dev,
 libsasl2-dev,
 libsystemd-dev,
 libtalloc-dev,
 libwbclient-dev,
 libykclient-dev,
 libyubikey-dev,
 libiodbc2-dev,
 libmemcached-dev,
 libhiredis-dev,
 libkrb5-dev | heimdal-dev,
 libldap2-dev,
 python3-dev,
 samba-dev | samba4-dev,
# Temporarily disable due to collectd RC bugs
# libcollectdclient-dev,
 snmp,
 dh-autoreconf,
 freetds-dev
Section: net
Priority: optional
XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
Standards-Version: 4.6.1
Homepage: https://www.freeradius.org/
XS-Debian-Vcs-Git: https://salsa.debian.org/debian/freeradius.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/freeradius

Package: freeradius-wpe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 ssl-cert, python3
Description: FreeRadius Wireless Pawn Edition
 This package is FreeRadius Wireless Pawn Edition.
 There are supported and tested EAP Types/Inner Authentication Methods (others
 may also work):
   * PEAP/PAP (OTP)
   * PEAP/MSCHAPv2
   * EAP-TTLS/PAP (includes OTPs)
   * EAP-TTLS/MSCHAPv1
   * EAP-TTLS/MSCHAPv2
   * EAP-MD5
