=== debian/watch ===
version=4

opts="pasv,\
    pgpsigurlmangle=s/$/.sig/,\
    repacksuffix=+dfsg,\
    dversionmangle=s/\+(git$|dfsg)//,\
    uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
  https://freeradius.org/ftp/pub/freeradius/freeradius-server-(.+)\.tar\.gz
