## freeradius-wpe 3.2.5+dfsg

=== debian/changelog ===
freeradius-wpe (3.2.5+dfsg-3kali1) kali-dev; urgency=medium

  * Sync with Debian (3.2.5+dfsg-3)
  * Refresh patches
  * Update freeradius-wpe patch

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Mar 2025 15:14:22 +0100

freeradius (3.2.5+dfsg-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Cherry-Pick from upstream: Replace radsecret with shell script to avoid
    dependency on extra perl modules (Closes: #1076458)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 17 Jul 2024 22:44:55 +0200

freeradius (3.2.5+dfsg-2) unstable; urgency=medium

  * Fix parallel builds
  * Fix python3 autopkgtest
  * freeradius-utils: add perl modules needed for radsecret, run radsecret
    in autopkgtest instead of radlast (which needs wtmp)
  * d/freeradius.service: Use MemoryMax= instead of MemoryLimit=
    (Closes: #1072253)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 10 Jul 2024 22:45:00 +0200

freeradius (3.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.5+dfsg
    This release adds a few hardening mitigations for the BlastRADIUS protocol
    vulnerability (CVE-2024-3596).
    - add new radsecret binary
    - add new rlm_dpsk and rlm_eap_teap modules
  * d/watch: Limit to 3.2 series

 -- Bernhard Schmidt <berni@debian.org>  Tue, 09 Jul 2024 23:31:16 +0200

freeradius-wpe (3.2.3+dfsg3-0kali1) kali-dev; urgency=medium

  * Bump repack suffix, and filter out .gitattributes
  * New upstream version 3.2.3+dfsg3

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 26 Sep 2023 08:47:08 +0700

freeradius-wpe (3.2.3+dfsg2-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * New upstream version 3.2.3+dfsg

  [ Steev Klimaszewski ]
  * Bump repack suffix
  * New upstream version 3.2.3+dfsg2

 -- Steev Klimaszewski <steev@kali.org>  Mon, 25 Sep 2023 10:30:49 -0500

freeradius (3.2.3+dfsg-2) unstable; urgency=medium

  * Don't build against libpcre3 (Closes: #1000031)
    FreeRADIUS will use Posix regular expressions

 -- Bernhard Schmidt <berni@debian.org>  Sun, 02 Jul 2023 22:23:21 +0200

freeradius (3.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.3+dfsg (Closes: #1032572)
    - Drop patches applied upstream
    - d/freeradius-redis.install: Include new rlm_cache_redis module
    - Unfuzz d/p/snakeoil-certs.diff
  * Bump Standards-Version, no changes necessary
  * Drop obsolete lsb-base dependency

 -- Bernhard Schmidt <berni@debian.org>  Fri, 23 Jun 2023 20:20:19 +0200

freeradius (3.2.1+dfsg-4) unstable; urgency=medium

  * Don't install symlink for cache_eap module no longer shipped
    (Closes: #1035853)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 16 May 2023 00:04:23 +0200

freeradius (3.2.1+dfsg-3) unstable; urgency=medium

  * Cherry-pick upstream patch to fix partical CA support (Closes: #1032590)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 10 Mar 2023 08:53:27 +0100

freeradius (3.2.1+dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream fix for EAP-TTLS-MSCHAPv2 with TLSv1.3
    (Closes: #919234)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 07 Mar 2023 22:51:06 +0100

freeradius (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.1+dfsg (Closes: #1025426)
  * Drop d/p/mkdirp.diff, fixed upstream
  * Drop d/p/python_config_script_update.diff, fixed upstream
  * Refresh patch
  * Fix lintian overrides
  * Bump debhelper to version 13, drop old dbgsym migration

 -- Bernhard Schmidt <berni@debian.org>  Wed, 28 Dec 2022 00:10:38 +0100
