=== debian/control ===
--- 
+++ 
@@ -1,6 +1,4 @@
 Source: freeradius-wpe
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: debhelper-compat (= 13),
  libcurl4-openssl-dev | libcurl4-gnutls-dev,
  libgdbm-dev,
@@ -35,10 +33,15 @@
 Section: net
 Priority: optional
 XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
-Standards-Version: 4.6.1
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
+Standards-Version: 4.6.2
 Homepage: https://www.freeradius.org/
 XS-Debian-Vcs-Git: https://salsa.debian.org/debian/freeradius.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/freeradius
+Vcs-Git: https://gitlab.com/kalilinux/packages/freeradius-wpe.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/freeradius-wpe
+
 
 Package: freeradius-wpe
 Architecture: any
