=== debian/rules ===
--- 
+++ 
@@ -58,9 +58,6 @@
 override_dh_installdocs:
 	dh_installdocs -Xdebian/tmp/usr/share/doc/freeradius/ChangeLog
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='freeradius-dbg (<< 3.0.11-1~)'
-
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)
