=== debian/tests/control ===
Test-Command: freeradius-wpe -h 
Restrictions: needs-root, allow-stderr
